vim连接gdb必须打补丁编译吗?

Vim、Emacs配置和使用
回复
头像
ciclo
帖子: 786
注册时间: 2007-01-25 16:43
来自: 塔尔塔洛斯
送出感谢: 0
接收感谢: 0

vim连接gdb必须打补丁编译吗?

#1

帖子 ciclo » 2008-01-27 15:04

有没有别的办法?
我生平瞧不起两种人:
1.那些瞧不起用windows的人的人
2.用windows的人
3.不识数的人

博客:http://blog.chunhao.net
主页:http://chunhao.net
头像
wangguangping
帖子: 259
注册时间: 2006-05-10 16:01
来自: 安徽合肥
送出感谢: 0
接收感谢: 0

#2

帖子 wangguangping » 2008-01-28 9:47

通常大量搜索,目前似乎没有在vim通过插件实现gdb的方案,只有一个是要给 vim打补丁的方案。vim现在以及将来也似乎没有这个集成计划,这让人很无奈。

其实很多人都希望vim能提供接口以插件形式形式实现shell以及gdb,不过vim总是拒绝,至于理由,就是不想体积太大。其实vim现在并不大,即便再大一点也无防呵。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2008-01-28 10:14

其实我希望vim更小。它包含的内容也够多了。很多用不到。都丢插件多好。
● 鸣学
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#4

帖子 Strange » 2008-01-28 10:36

clewn project里包含两部分,一个是clewn,另一个才是vimgdb
vim gdb必须补丁编译,clewn不需要,clewn通过netbeans接口和vim通讯,不过条件是必须linux下使用gvim,并且打开netbeans功能。当然,clewn本身需要自己编译。
反正两个project都是一个人写的,clewn因为使用了gui功能,比vimgdb要好用,没事的话,试试看去吧
halve
帖子: 45
注册时间: 2005-09-09 11:32
送出感谢: 0
接收感谢: 0

#5

帖子 halve » 2008-01-31 11:37

netbeans 的外部编辑模块已经被取消了。。。
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#6

帖子 Strange » 2008-01-31 11:47

这个只是vim里的接口,和netbean软件没关系呀
头像
ciclo
帖子: 786
注册时间: 2007-01-25 16:43
来自: 塔尔塔洛斯
送出感谢: 0
接收感谢: 0

#7

帖子 ciclo » 2008-02-01 11:31

Strange 写了:clewn project里包含两部分,一个是clewn,另一个才是vimgdb
vim gdb必须补丁编译,clewn不需要,clewn通过netbeans接口和vim通讯,不过条件是必须linux下使用gvim,并且打开netbeans功能。当然,clewn本身需要自己编译。
反正两个project都是一个人写的,clewn因为使用了gui功能,比vimgdb要好用,没事的话,试试看去吧
多谢啊
刚去官网看了,改天试试
我生平瞧不起两种人:
1.那些瞧不起用windows的人的人
2.用windows的人
3.不识数的人

博客:http://blog.chunhao.net
主页:http://chunhao.net
回复

回到 “Vim和Emacs”